<?php
namespace nur\config;

/**
 * Class DynConfig: une classe qui fournit dynamiquement certaines configurations
 */
abstract class DynConfig {
  /** tester si une clé existe dans le profil spécifié */
  abstract function has(string $pkey, string $profile): bool;

  /** obtenir la valeur de la clé spécifiée dans le profil spécifié, ou null si la clé n'existe pas */
  abstract function get(string $pkey, string $profile);

  /** modifier la valeur de la clé spécifiée dans le profil spécifié */
  abstract function set(string $pkey, $value, string $profile): void;
}
